Bug 113155 - ctrl-u ignored
ctrl-u ignored
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-08 18:03 EST by Kasper Dupont
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 09:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2004-01-08 18:03:11 EST
Description of problem:
Mistyped username or password cannot be erased with ctrl-u

Version-Release number of selected component (if applicable):
2.4.4.5-1

How reproducible:
Happens always

Steps to Reproduce:
1. Mistype your password
2. Type ctrl-u
3. Type correct password
4. Press enter
  
Actual results:
The correct password is written after the mistyped password causing
the entire string to be considered password (and rejected).

Expected results:
ctrl-u deletes the mistyped password, and the correct password typed
afterwards is accepted.

Additional info:
In many other places ctrl-u can be used to erase a mistyped password,
for consistency gdm should accept it as well, users expect it to work.
Comment 1 Warren Togami 2004-02-04 21:09:25 EST
IMHO, while I agree with your report, this feature should be
implemented upstream so you should talk to the gdm maintainer for the
GNOME project.  It is highly unlikely that RH has time to work on
this.  Let this report know if upstream has implemented this and we
may consider merging the feature in the future if it passes review.
Comment 2 Matthias Clasen 2005-04-14 09:33:06 EDT
You just need to select the Emacs key theme for gdm to make this work

Note You need to log in before you can comment on or make changes to this bug.